aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-data-hexdump/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2011-08-30 12:06:22 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2011-08-30 12:06:22 +0000
commitbe9cfdd9ddec3fc483581b10922f7b0decd61ead (patch)
tree09a547d1f3ff0c502dc53d643fc0fceedbb6d9b5 /testing/perl-data-hexdump/APKBUILD
parentf8e5bb62a5ce94b1da68e5184c2bba13c4fb8271 (diff)
downloadaports-be9cfdd9ddec3fc483581b10922f7b0decd61ead.tar.gz
aports-be9cfdd9ddec3fc483581b10922f7b0decd61ead.tar.bz2
aports-be9cfdd9ddec3fc483581b10922f7b0decd61ead.tar.xz
testing/arping perl-data-hexdump perl-sys-syslog: new aports
main/rp-pppoe: leave ip_forward untouched
Diffstat (limited to 'testing/perl-data-hexdump/APKBUILD')
-rw-r--r--testing/perl-data-hexdump/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/perl-data-hexdump/APKBUILD b/testing/perl-data-hexdump/APKBUILD
new file mode 100644
index 0000000000..f2e7ddbebf
--- /dev/null
+++ b/testing/perl-data-hexdump/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-data-hexdump
+_pkgreal=Data-HexDump
+pkgver=0.02
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/Data-HexDump/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/F/FT/FTASSIN/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="467b7183d1062ab4a502b50c34e7d67f Data-HexDump-0.02.tar.gz"